Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class AuditGroupConfig

    java.lang.Object
      com.bea.dsp.management.beans.AuditGroupConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable, java.lang.Cloneable

    public final class AuditGroupConfig

extends java.lang.Object
implements java.io.Serializable, Validatable, java.lang.Cloneable

Audit configuration for a kind of auditing like query etc.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AuditGroupConfig.AuditLevelType` Various audit levels.

Method Summary
`AuditGroupConfig` | `clone()`
`AuditGroupConfig.AuditLevelType` | `getAuditLevelType()` Returns the audit level for this audit group type.
`java.lang.String` | `getDescriptionId()` Return the message id to be used for the description of this group.
`AuditConfig.SeverityLevel` | `getIntrinsicSeverityLevel()` Returns the severity level that is used when the audit is enabled.
`java.lang.String` | `getName()` Returns name of the group.
`boolean` | `isConfigurable()` Whether this config object be changed by the client or not.
`boolean` | `isIncludedInResponse()` Returns `true` if the property-specific audit information should be returned to the client API.
`void` | `setAuditLevelType(AuditGroupConfig.AuditLevelType auditLevelType)`
`void` | `setIncludedInResponse(boolean includedInResponse)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAuditLevelType

    public AuditGroupConfig.AuditLevelType getAuditLevelType()

  Returns the audit level for this audit group type. It will return the the default value for this type if this has not been set explicitly by the administrator.

  Returns:
    the audit level for this audit group type

### setAuditLevelType

    public void setAuditLevelType(AuditGroupConfig.AuditLevelType auditLevelType)

### isIncludedInResponse

    public boolean isIncludedInResponse()

  Returns `true` if the property-specific audit information should be returned to the client API.

  Returns:
    `true` if the property-specific audit information should be returned to the client API

### setIncludedInResponse

    public void setIncludedInResponse(boolean includedInResponse)

### getName

    public java.lang.String getName()

  Returns name of the group.

  Returns:
    name of the group

### getDescriptionId

    public java.lang.String getDescriptionId()

  Return the message id to be used for the description of this group. Returned value could be null if none has been configured. This is used for internationalizing the description.

  Returns:
    message id for description

### getIntrinsicSeverityLevel

    public AuditConfig.SeverityLevel getIntrinsicSeverityLevel()

  Returns the severity level that is used when the audit is enabled.

  Returns:
    intrinsic severity level

### isConfigurable

    public boolean isConfigurable()

  Whether this config object be changed by the client or not.

  Returns:
    `true` if the client is allowed to change the values.

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public AuditGroupConfig clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.